@use "../../../scss/vars";

:host {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  max-width: 21.5rem;
  margin: 0 auto;
  height: 3.75rem;
}

.wrapper {
  display: grid;
  align-items: center;
  grid-template-columns: 3rem 3rem;
  grid-gap: 1.5rem;
}

app-svg {
  color: #000000;
  height: 3rem;
  border-bottom: 2px solid transparent;
  cursor: pointer;

  &.active {
    color: vars.$color-orange-100;
    border-color: vars.$color-orange-100;
  }

  &.plus {
    border-bottom: 0;
  }
}

.wrapper-plus {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: -1.125rem;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 3rem;
  height: 3rem;
  background-color: vars.$color-orange-100;
  border-radius: 1rem;
  border: 5px solid vars.$color-grey-200;
  box-sizing: content-box;
  cursor: pointer;
}
